<?php

//Settings etc in this file:
INCLUDE('settings.php');

//Passwords etc in this file:
INCLUDE('user_settings.php');

//Some functions:
INCLUDE('functions.php');

//page head:
INCLUDE('head.php');

//Connect to database:
$db_connection = mysql_connect($db_host, $db_user, $db_password);
if (!$db_connection) {die("Could not connect: ". mysql_error());}
mysql_select_db($db_database, $db_connection);

?> 
<table bgcolor=#ddd>
<tr><th colspan=3>
INFO-page:
</th></tr>
<tr>
<td>

<table bgcolor=#fff>
<tr>
<td colspan=5 align=left>Current top five photos:</td>
</tr><tr>
<?php
$sql = "SELECT * FROM rating_images WHERE `live`=1 ORDER BY `score` DESC LIMIT 5";
if (!$result=mysql_query($sql,$db_connection)){}
while($row = mysql_fetch_array($result)){
  echo '<td><a href="' . $row['description'] . '" target="_blank"><img src="' . $row['link'] . '" height=100></td>' . "\n";
}  
?>
</tr>
</table>

<br />
<b>The Math:</b><br />
This rating system uses the <a href="en.wikipedia.org/wiki/Elo_rating_system">ELO rating system</a> where for each pair of images an expected score is calculated. The formula for the expected score is 1/(1+10^(score1-score2)). Then that score is adjusted with a factor and added or subtracted to the winner/loser respectively. The factor used here is <?php echo $kFactor; ?>. The expected score is the same as the odds of one photo beating the other. If the score difference is 1 than that means that the higher ranked photo is expected to win 10 times more often.
<br />
<br />
<b>Problems:</b><br />
If any photo doesn't show up correctly then please click on the little red triangle next to it and I'll look into it. For any other kind of problem then please contact me. For contact information see below.
<br />
<br />
<b>Statistics:</b><br />
<?php
//Make sure that the histogram is maximally generated every hour
$filename = 'histogram.png';
if (file_exists($filename)) {
  $filetime = filemtime($filename);
  if (time() - $filetime > 3600) {
    INCLUDE('histogram.php');
  }
}
?>
<img src="histogram.png"><br />
Histogram created: <?php echo date('Y M j, H:i:s', $filetime); ?> (max once per hour)
<br />

<?php
  $sql = "SELECT * FROM rating_stats WHERE `votes`=1";
  if (!$result=mysql_query($sql,$db_connection)){}
  while($row = mysql_fetch_array($result)){
    $left=$row['left'];
    $right=$row['right'];
  }
$sql = "SELECT
   Total_Rows= SUM(st.row_count)
FROM
   sys.dm_db_partition_stats st
WHERE
    object_name(object_id) = 'rating_images' AND (index_id < 2)";
$sql = "SELECT COUNT(*) FROM rating_images";
  if (!$result=mysql_query($sql,$db_connection)){}
  while($row = mysql_fetch_array($result)){
    $images=$row[0];
  }
?>
<br />
<table border=1>
<tr>
<td>Total number of votes: </td><td><?php echo ($right + $left); ?></td>
</tr><tr>
<td>Votes on left image: </td><td><?php echo $left . " (" . round(100*$left/($right+$left),1) . " %)"; ?></td>
</tr><tr>
<td>Votes on left image: </td><td><?php echo $right . " (" . round(100*$right/($right+$left),1) . " %)"; ?></td>
</tr><tr>
<td>Total number of images: </td><td><?php echo $images; ?></td>
</tr><tr>
<td>Average votes per image: </td><td><?php echo round(($right+$left)/$images, 3); ?></td>
</tr>
</table>
<br />

<b>Source code:</b><br />
<a href="source.zip">All code (zip)</a><br />
<br />
<a href="index.txt">index.txt</a><br />
<a href="info.txt">info.txt</a><br />
<a href="photos.txt">photos.txt</a><br />
<a href="file.txt">file.txt</a><br />
<a href="report.txt">report.txt</a><br />
<a href="head.txt">head.txt</a><br />
<a href="tail.txt">tail.txt</a><br />
<a href="menu.txt">menu.txt</a><br />
<a href="settings.txt">settings.txt</a><br />
<a href="user_settings.txt">user_settings.txt</a><br />
<a href="histogram.txt">histogram.txt</a><br />
<br />
Rename into *.php and change content of the user_settings file. <br />
Database tables: <a href="databases.txt">databases.txt</a><br />
<a href="http://phpmygraph.abisvmm.nl/">phpMyGraph</a> is also needed (to generate the histogram).<br />

<br />
<b>Contact:</b><br />
Web site: <a href="http://averater.se/">http://averater.se/</a><br />
Email: <a href="mailto:g@averater.se?Subject=Image_rating">g@averater.se</a><br />
Facebook: <a href="https://www.facebook.com/averater">averater</a><br />
Commons: <a href="http://commons.wikimedia.org/wiki/User:Averater">Averater</a><br />

</td>
</tr></table>
<?php

//Page tail:
INCLUDE('tail.php');

mysql_close($db_connection);
?>